#include <Python.h>

static PyObject *
mymath_add(PyObject *self, PyObject *args)
{
    long a, b, ret;

    if (!PyArg_ParseTuple(args, "ll", &a, &b))
        return NULL;

    ret = a + b;
    return Py_BuildValue("l", ret);
}

static PyMethodDef MyMathMethods[] = {
    {"add", mymath_add, METH_VARARGS,
     "Suma los argumentos y retorna el resultado."},
    {NULL, NULL, 0, NULL}
};

PyMODINIT_FUNC
initmymath(void)
{
    (void) Py_InitModule("mymath", MyMathMethods);
}
